## asyncfuture 0~0.1

=== debian/changelog ===
asyncfuture (0~0.1-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:42:33 +0200

asyncfuture (0~0.1-1) unstable; urgency=medium

  * Initial release (Closes: #982945)

 -- Wookey <wookey@debian.org>  Sat, 28 Jan 2023 00:55:32 +0000
