=== debian/control ===
Source: asyncfuture
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper-compat (= 12), qbs, qtbase5-dev
Standards-Version: 4.5.1
Homepage: https://github.com/vpicaver/asyncfuture
Rules-Requires-Root: no

Package: libasyncfuture-dev 
Architecture: any
Multi-Arch: same
Depends: qtbase5-dev, ${misc:Depends}
Description: Use QFuture (Qt) like a Promise object
 QFuture is used together with QtConcurrent to represent the result of
 an asynchronous computation. It is a powerful component for
 multi-thread programming. But its usage is limited to the result of
 threads, it doesn't work with the asynchronous signal emitted by
 QObject. And it is troublesome to setup the listener function via
 QFutureWatcher.
 .
 AsyncFuture is designed to enhance the function to offer a better way
 to use it for asynchronous programming. It provides a Promise object-
 like interface. This project is inspired by AsynQt and RxCpp.
 .
 This package contains the development header file (there is no
 corresponding library binary).
