=== debian/watch ===
version=4

# GitHub hosted project
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%asyncfuture-$1.tar.gz%" \
   https://github.com/vpicaver/asyncfuture/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
