## asyncfuture 1.0

=== debian/changelog ===
asyncfuture (1.0-1) unstable; urgency=medium

  * qt6 compatible upstream release

 -- Wookey <wookey@debian.org>  Thu, 27 Feb 2025 04:11:01 +0000
