=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: asyncfuture
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wookey <wookey@debian.org>
+Maintainer: Wookey <wookey@debian.org>
 Build-Depends: debhelper-compat (= 12), qbs, qtbase5-dev
 Standards-Version: 4.5.1
 Homepage: https://github.com/vpicaver/asyncfuture
